<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="G_ELEVATOR.html"><font color="#008000">G_ELEVATOR</font></a>;
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">author</font></strong>  := <font color="#BC8F8F">"Sonntag Benoit (bsonntag@loria.fr)"</font>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Output text for GUI."</font>;

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>  

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_area</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="AREA.html"><font color="#008000">AREA</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_g_expr</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a>;
          
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">win_in</font></strong>:<a href="G_WIN_IN_INTERN.html"><font color="#008000">G_WIN_IN_INTERN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">position</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">stat</font></strong>:<a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="G_ELEVATOR.html"><font color="#008000">G_ELEVATOR</font></a>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">win_size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">elevator_size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">cursor_begin</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-  
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">cursor_size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Width / Height</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">width_min</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>  := 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">height_min</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> := 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">width_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">height_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create_horizontal</font></strong> w:<a href="G_WIN_IN_INTERN.html"><font color="#008000">G_WIN_IN_INTERN</font></a> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create_vertical</font></strong> w:<a href="G_WIN_IN_INTERN.html"><font color="#008000">G_WIN_IN_INTERN</font></a> :<font color="#008000">SELF</font> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> w:<a href="G_WIN_IN_INTERN.html"><font color="#008000">G_WIN_IN_INTERN</font></a> <strong><font color="#0000FF">attribute</font></strong> a:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <-
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Update position.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_position</font></strong> rac:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">at</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Action.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> </B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_min</font></strong> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_max</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">receive</font></strong> msg:<a href="EVENT.html"><font color="#008000">EVENT</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  0000 : Nothing.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  0001 : In.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  0010 : Up page.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  0100 : Down pages.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  1000 : Cursor move.</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Display.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Area.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">delete</font></strong> <-
   
</body>
</html>
 